<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 20011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: hayaletsevgili_news_panel.php
| Version: 1.0
| Author: HaYaLeT http://www.hayaletsevgili.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
| Please don't delete copy link / Ltfen Link Silmeyin
+--------------------------------------------------------*/

if (!defined('IN_FUSION')) { die('Access Denied'); }

if (file_exists(INFUSIONS."hayaletsevgili_news_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hayaletsevgili_news_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hayaletsevgili_news_panel/locale/English.php";
}


add_to_head("<link rel='stylesheet' type='text/css'  href=' ".INFUSIONS."hayaletsevgili_news_panel/css/global.css' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."hayaletsevgili_news_panel/js/slides.min.jquery.js'></script> ");

echo "<script type='text/javascript'>
$(function(){
			$('#slides').slides({
				preload: true,
				preloadImage: '".INFUSIONS."hayaletsevgili_news_panel/img/loading.gif',
				play: 5000,
				pause: 2500,
				hoverPause: true,
				animationStart: function(current){
					$('.caption').animate({
						bottom:-35
					},100);
					if (window.console && console.log) {
						// example return of current slide number
						console.log('animationStart on slide: ', current);
					};
				},
				animationComplete: function(current){
					$('.caption').animate({
						bottom:0
					},200);
					if (window.console && console.log) {
						// example return of current slide number
						console.log('animationComplete on slide: ', current);
					};
				},
				slidesLoaded: function() {
					$('.caption').animate({
						bottom:0
					},200);
				}
			});
		});
</script>";




echo "
	<div id='container'>
		<div id='example'>
			
			<div id='slides'>
				<div class='slides_container'>";



 $result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0,7");
if (dbrows($result)) {
		while ($data = dbarray($result)) {

					echo "<div class='slide'>";
						if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='270' width='470' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='270' width='470' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='270' width='470' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a>"; }

$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");

			echo "<div class='caption' style='bottom:0'>
<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."'>						
<span><strong> <font color='#FAE820'> ".trimlink(stripslashes($data["news_subject"]),70)." </font></strong> </span><br /> <span><font color='#ffffff'>  ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."</font></span></a><br />

<span style='float:left;padding:0 20px 0 0'>
".showdate("shortdate", $data['news_datestamp'])." 

<img style='vertical-align:middle;' src='".INFUSIONS."hayaletsevgili_news_panel/img/author.png' alt='' /> ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."";

if ($data['news_allow_comments']) {

 echo " <img style='vertical-align:middle;' src='".INFUSIONS."hayaletsevgili_news_panel/img/comment.png' alt='' /> [<a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>]";

}else{
echo " <img style='vertical-align:middle;' src='".INFUSIONS."hayaletsevgili_news_panel/img/comment.png' alt='' /> [$news_comments]";
}
echo " <img style='vertical-align:middle;' src='".INFUSIONS."hayaletsevgili_news_panel/img/reads.png' alt='' /> [".$data['news_reads']."]";
echo "</span>
<span style='float:right;padding:0 20px 0 0'> <a href='".BASEDIR."news.php?readmore=".$data["news_id"]."'> <font color='#FF6600'> ".$locale['slide004']." </font></a></span> 
						</div>
					</div>";  

} 

}
				echo "</div>
				</div>
			
		</div>

	</div>";
	
?>
